namespace: staging
image:
  repository: dureforce.azurecr.io/dureforcepostservice 
  tag: latest
  pullPolicy: Always

ingress:
  enabled: true
  annotations: 
    cert-manager.io/cluster-issuer: letsencrypt
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/use-regex: "true"
    nginx.ingress.kubernetes.io/configuration-snippet: |
      add_header 'Access-Control-Allow-Origin' $http_origin;
      add_header 'Access-Control-Allow-Methods' 'GET, PUT, POST, DELETE, PATCH, OPTIONS';
      add_header 'Access-Control-Allow-Headers' '*';
      add_header 'Access-Control-Expose-Headers' '*';
      add_header 'Access-Control-Max-Age' 1728000;

      if ($request_method = 'OPTIONS') {
        return 204;
      }
  path: /
  pathType: Prefix
  host: post
server:
  replicaCount: 1 
  httpPort: 80  
  health:
    readinessProbe: {}
      # httpGet:
      #   path: /health
      #   port: http
    livenessProbe: {}
      # httpGet:
      #   path: /health
      #   port: http
  resources: 
    requests:
      cpu: 1
      memory: 500Mi
    limits:
      cpu: 2
      memory: 1000Mi
  command: []
  args: [] 
  antiAffinity: ""
  updateStrategy: {}
  podAnnotations: {}
  podLabels: {}
  nodeSelector: {}
  tolerations: []
  env: 
    ASPNETCORE_ENVIRONMENT: "Development" 
service: 
  type: LoadBalancer # Service type (ClusterIP, NodePort, LoadBalancer)
  annotations: {}
  ports:
    http:
      port: 80
      targetPort: http
